%define upstream_name	 Proc-ProcessTable
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Interface to process table information
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Proc-ProcessTable-0.45-fix-format-errors.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(Storable)
BuildRequires: perl-devel
%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed Unix site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml PORTING README TODO
%{perl_vendorarch}/Proc
%{perl_vendorarch}/auto/Proc
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 372141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 317870
- update to 0.46

* Wed May 30 2012 jquelin <jquelin> 0.450.0-5.mga3
+ Revision: 251085
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.450.0-4.mga2
+ Revision: 104923
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.450.0-3.mga1
+ Revision: 31061
- mageia rebuild
- imported package perl-Proc-ProcessTable

